ForkedTomcatServer (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.tomcat.fork
[Groovy] Class ForkedTomcatServer

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcess
          org.grails.plugins.tomcat.fork.ForkedTomcatServer

All Implemented Interfaces:
  EmbeddableServer

    class ForkedTomcatServer
    extends ForkedGrailsProcess

An implementation of the Tomcat server that runs in forked mode.

Authors:
  Graeme Rocher

Since:
  2.2

Nested Class Summary
`class` | `ForkedTomcatServer.TomcatRunner`

Property Summary
`TomcatExecutionContext` | `executionContext`
`java.lang.ClassLoader` | `forkedClassLoader`
`ForkedTomcatServer.TomcatRunner` | `tomcatRunner`

Constructor Summary
`ForkedTomcatServer(TomcatExecutionContext executionContext)`

Method Summary
`ExecutionContext` | `createExecutionContext()`
`int` | `getLocalHttpPort()`
`int` | `getLocalHttpsPort()`
`boolean` | `isAvailable(java.lang.String host, int port)`
`void` | `loadCompletedExecutionContext(java.lang.String path)`
`static void` | `main(java.lang.String[] args)`
`java.lang.Object` | `run()`
`void` | `start(java.lang.String host, int port)`
`void` | `startSecure(java.lang.String host, int httpPort, int httpsPort)`
`void` | `stop()`

Methods inherited from class ForkedGrailsProcess
buildMinimalIsolatedClasspath, configure, createClassLoader, createExecutionContext, discoverAndSetAgent, findJarFile, fork, initializeLogging, readExecutionContext, readExecutionContext, setupReloading

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### executionContext

    TomcatExecutionContext executionContext

### forkedClassLoader

    java.lang.ClassLoader forkedClassLoader

### tomcatRunner

    @Delegate
    ForkedTomcatServer.TomcatRunner tomcatRunner

Constructor Detail

### ForkedTomcatServer

    ForkedTomcatServer(TomcatExecutionContext executionContext)

Method Detail

### createExecutionContext

    @Override
    ExecutionContext createExecutionContext()

### getLocalHttpPort

    @Override
    int getLocalHttpPort()

### getLocalHttpsPort

    @Override
    int getLocalHttpsPort()

### isAvailable

    @CompileStatic
    boolean isAvailable(java.lang.String host, int port)

### loadCompletedExecutionContext

    void loadCompletedExecutionContext(java.lang.String path)

### main

    static void main(java.lang.String[] args)

### run

    @CompileStatic
    java.lang.Object run()

### start

    @CompileStatic
    void start(java.lang.String host, int port)

### startSecure

    @CompileStatic
    void startSecure(java.lang.String host, int httpPort, int httpsPort)

### stop

    void stop()

Groovy Documentation